Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000036bareos-core[All Projects] directorpublic2013-01-11 11:172015-03-25 19:18
Reportermvwieringen 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOpenIndianaOSOpenIndianaOS Versionb151a
Product Version12.4.2 
Target Version12.4.3Fixed in Version12.4.3 
Summary0000036: Implementation of restore using a set of copies of an original job
DescriptionWith the ability to replicate jobs between different SDs it becomes more
interesting to be able to use a set op copies (on the SD where the
data is replicated to. Currently the copy Jobs use an hierarchy e.g. a copy
of a Job is not used for restores but gets promoted to normal Job when its
parent is purged. You can restore from a copy when you specify its JobId
using the "Enter list of comma separated JobIds to select (3)" option
of the restore menu.
Additional InformationYou could give a hint at the restore time that you want it to use certain
storage and when it then finds copy Jobs that are useable to perform a restore.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships
related to 0000115acknowledged Redesign copy Jobs 

-  Notes
(0000246)
mvwieringen (developer)
2013-03-06 23:34

It seems this is already possible.

restore copies will select the copies instead of the original Jobs
for restore. As always this doesn't seem to be documented and also
the cmd expansion doesn't know about this possible keyword.
(0000501)
maik (administrator)
2013-07-05 16:35

documentation missing
(0000608)
mvwieringen adm (administrator)
2013-08-13 03:12

Fix committed to bareos bareos-12.4 branch with changesetid 975.
(0001388)
mvwieringen (developer)
2015-03-25 16:51

Fix committed to bareos2015 bareos-13.2 branch with changesetid 4298.
(0001544)
joergs (administrator)
2015-03-25 19:18

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

- Related Changesets
bareos: bareos-12.4 a01a6e09
Timestamp: 2013-05-04 11:14:53
Author: mvwieringen adm
Ported: N/A
Details ] Diff ]
Add copies to the allowed keyword for restore.

Its seems that you can use a set of copy jobs to do a restore when you
specify the copies keyword on the restore commandline.

e.g. restore copies will select instead of the normal
full/differential/incremental jobs the copies of those Jobs. When doing
offsite SD-SD replication this can be a good selection criteria when you
lost your primay storage daemon but can restore from the secondary
or standby storage daemon. As long as you have a working database this
is a good DR procedure. You still need a working director and database
but as the database can be replicated as an HA solution and a director
also have a cold standby this could be part of a solution.

Fixes 0000036: Implementation of restore using a set of copies of an original job
mod - src/dird/ua_cmds.c Diff ] File ]
bareos2015: bareos-12.4 06ffd8f3
Timestamp: 2013-05-04 13:14:53
Author: mvwieringen
Ported: N/A
Details ] Diff ]
Add copies to the allowed keyword for restore.

Its seems that you can use a set of copy jobs to do a restore when you
specify the copies keyword on the restore commandline.

e.g. restore copies will select instead of the normal
full/differential/incremental jobs the copies of those Jobs. When doing
offsite SD-SD replication this can be a good selection criteria when you
lost your primay storage daemon but can restore from the secondary
or standby storage daemon. As long as you have a working database this
is a good DR procedure. You still need a working director and database
but as the database can be replicated as an HA solution and a director
also have a cold standby this could be part of a solution.

Fixes 0000036: Implementation of restore using a set of copies of an original job
mod - src/dird/ua_cmds.c Diff ] File ]
bareos: master 66f52c4a
Timestamp: 2013-05-04 19:11:16
Author: mvwieringen adm
Ported: N/A
Details ] Diff ]
Add copies to the allowed keyword for restore.

Its seems that you can use a set of copy jobs to do a restore when you
specify the copies keyword on the restore commandline.

e.g. restore copies will select instead of the normal
full/differential/incremental jobs the copies of those Jobs. When doing
offsite SD-SD replication this can be a good selection criteria when you
lost your primay storage daemon but can restore from the secondary
or standby storage daemon. As long as you have a working database this
is a good DR procedure. You still need a working director and database
but as the database can be replicated as an HA solution and a director
also have a cold standby this could be part of a solution.

Fixes 0000036: Implementation of restore using a set of copies of an original job
mod - src/dird/ua_cmds.c Diff ] File ]
bareos2015: bareos-13.2 c2272cd1
Timestamp: 2013-05-04 21:11:16
Author: mvwieringen
Ported: N/A
Details ] Diff ]
Add copies to the allowed keyword for restore.

Its seems that you can use a set of copy jobs to do a restore when you
specify the copies keyword on the restore commandline.

e.g. restore copies will select instead of the normal
full/differential/incremental jobs the copies of those Jobs. When doing
offsite SD-SD replication this can be a good selection criteria when you
lost your primay storage daemon but can restore from the secondary
or standby storage daemon. As long as you have a working database this
is a good DR procedure. You still need a working director and database
but as the database can be replicated as an HA solution and a director
also have a cold standby this could be part of a solution.

Fixes 0000036: Implementation of restore using a set of copies of an original job
mod - src/dird/ua_cmds.c Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-01-11 11:17 mvwieringen New Issue
2013-03-04 10:47 mvwieringen Relationship added related to 0000115
2013-03-04 11:07 mvwieringen Product Version => 13.2.0
2013-03-04 11:07 mvwieringen Target Version => 13.2.0
2013-03-06 23:34 mvwieringen Note Added: 0000246
2013-03-06 23:40 mvwieringen Changeset attached => bareos master edd67c06
2013-03-06 23:40 mvwieringen Note Added: 0000247
2013-03-06 23:40 mvwieringen Assigned To => mvwieringen
2013-03-06 23:40 mvwieringen Status new => closed
2013-03-06 23:40 mvwieringen Resolution open => fixed
2013-03-06 23:40 mvwieringen Changeset attached => bareos Branch-12.4 cff03f49
2013-03-06 23:40 mvwieringen Note Added: 0000248
2013-03-06 23:41 mvwieringen Assigned To mvwieringen =>
2013-03-06 23:41 mvwieringen Product Version 13.2.0 => 12.4.2
2013-03-06 23:41 mvwieringen Fixed in Version => 12.4.3
2013-03-06 23:41 mvwieringen Target Version 13.2.0 => 12.4.3
2013-05-24 12:52 pstorz Assigned To => pstorz
2013-05-24 12:52 pstorz Status closed => resolved
2013-07-04 13:05 mvwieringen adm Assigned To pstorz => joergs
2013-07-04 13:05 mvwieringen adm Status resolved => assigned
2013-07-05 16:35 maik Note Added: 0000501
2013-07-05 16:35 maik Status assigned => resolved
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos master 66f52c4a
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos bareos-12.4 a01a6e09
2013-08-13 03:12 mvwieringen adm Note Added: 0000608
2013-08-13 09:14 mvwieringen adm Note Deleted: 0000248
2013-08-13 09:14 mvwieringen adm Note Deleted: 0000247
2013-10-02 17:46 mvwieringen Status resolved => closed
2013-10-02 17:46 mvwieringen Assigned To joergs =>
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-12.4 06ffd8f3
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 c2272cd1
2015-03-25 16:51 mvwieringen Note Added: 0001388
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:18 joergs Note Added: 0001544
2015-03-25 19:18 joergs Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker